### Function

# EBackend CacheOfflineChange new

since: 3.26

#### Declaration [src]

    ECacheOfflineChange*
    e_cache_offline_change_new (
      const gchar* uid,
      const gchar* revision,
      const gchar* object,
      EOfflineState state
    )

#### Description [src]

Creates a new `ECacheOfflineChange` with the offline `state` information for the given `uid`.

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  A unique object identifier.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`revision`

  Type: `const gchar*`

  A revision of the object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `const gchar*`

  Object itself.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`state`

  Type: `EOfflineState`

  An `EOfflineState`.

#### Return value

Type: `ECacheOfflineChange`

A new `ECacheOfflineChange`. Free it with `e_cache_offline_change_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.